#### HEADER

#### Synopsis

    HELP:   Create file header [YES]
    TYPE:   NUMBER
    SYNTAX: HEADER/HE=YES/NO

#### Description

Controls file header entries in the FLAM file (z/OS only).

See also parameter ATTRIBUTES for UNIX and WINDOWS.

The header consists of three parts.

The first part is independent from the operating system and contains file attributes that are compatible.

The second part depends on the operating system and contains file attributes specific to the according operating system.

The third part is optional and contains the filename when specified with the parameter FILEINFO.

FLAM and FLAMUP evaluate the file header in order to create a file with the most similar characteristics. The simplest case is when the file is reconstructed in the original system environment. In this case, the second (operating system specific) part of the file header can be used. In all other cases only the first part can be used and the system neutral attributes are mapped on system specific attributes of the target environment.

Syntax restrictions for FLAMv4 or older:

- z/OS
  - `HEADER=YES/NO`
  - `HE=YES/NO`
- UNIX / Windows
  - See parameter ATTRIBUTES for `-attribute=attribute` option. This parameter causes original file information to be entered in the FLAMFILE header.

Values

- z/OS
  - `YES` - Create file header
  - `NO` - Don't create file header
- UNIX / Windows
  - `-none` - No information about the original file is entered in the FLAMFILE.
    Corresponds z/OS: `FILEINFO=NO` and `HEADER=NO`.
  - `common` - The organization, the record format and the record size of the original file can be saved during the compression procedure, together with a flag which identifies the operating system in which the compression took place.
    Corresponds z/OS: `FILEINFO=NO` and `HEADER=YES`.
  - `all` - Common file information and system-specific information about the original file.
    Corresponds z/OS: `FILEINFO=YES` and `HEADER=YES`.

Default

- z/OS
  - `YES`
- UNIX
  - should be set to `-attributes=all`
- WINDOWS
  - should be set to `attributes=all`

Valid for

- compression

#### Selections

- `YES - Yes, do it`
- `NO - No, don't do it`